Replace List Users
Delete Draft List
API to delete draft version of the list. Use this to discard test or interim versions before publishing the final list.
PATCH
/
v1
/
subscriber_list
/
{list_id}
/
version
/
{version_id}
/
delete
/
Delete Draft List
curl --request PATCH \
--url https://hub.suprsend.com/v1/subscriber_list/{list_id}/version/{version_id}/delete/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://hub.suprsend.com/v1/subscriber_list/{list_id}/version/{version_id}/delete/"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hub.suprsend.com/v1/subscriber_list/{list_id}/version/{version_id}/delete/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"code": 404,
"error_code": "not_found",
"type": "NotFound",
"message": "version_id 01JR6PCW8H9K3H40XZV4A5R not found for list_id _list_id_",
"detail": "version_id 01JR6PCW8H9K3H40XZV4A5R not found for list_id _list_id_"
}Authorizations
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Path Parameters
Unique string identifier of the list which you want to delete
Unique identifier of the draft version of the list which needs to be deleted
Response
200
The response is of type object.
Was this page helpful?
⌘I
Delete Draft List
